<?php

session_start();

date_default_timezone_set('America/Lima');

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");



require_once ("cDevolucionproveedor.php");

$oDevolucionproveedor = new cDevolucionproveedor();

require_once("../stock/cStock.php");

$oStock = new cStock();



require_once ("../producto/cCatalogo.php");

$oCatalogo = new cCatalogo();



require_once("../almacen/cAlmacen.php");

$oAlmacen = new cAlmacen();



require_once("../formatos/formato.php");

	

	

	

function responder($estado=false, $mensaje='', $datos=[])

{

	header('Content-type: application/json');

	echo json_encode([

		'est' => $estado,

		'msj' => $mensaje,

		'dat' => $datos,

		]);

	exit;

}



if($_POST['action']=='relacionar'){



	$dts1= $oDevolucionproveedor->mostrarDetalles($_POST['devid']);

	while($dtd = mysqli_fetch_array($dts1)){

		

		$dtscat=$oCatalogo->mostrarUno($dtd['tb_catalogo_id'],$dtd['tb_marca_id']);

		$dtcat = mysqli_fetch_array($dtscat);

			$pro = $dtcat['tb_producto_nom'];

			$mar = $dtcat['tb_marca_nom'];

		mysqli_free_result($dtscat);

		

		$dtsva = $oDevolucionproveedor->validar_rel($dtd['tb_catalogo_id'],$dtd['tb_marca_id'],$_POST['docrelid']);

		$numrow = mysqli_num_rows($dtsva);

		if($numrow>0){

			

		}else{

			responder(false,'El producto '.$pro.' | '.$mar.' no se encuentra registrada en la NOTA DE CREDITO.');

		}		

		

	}

	

	responder(true,'Validado correctamente.');

}



?>















